

# Fibonacci-Rij
def Fibonacci1(n):
	# base case
	if (n == 0) or (n == 1):
		return n

	# anders: som van de vorige twee elementen
	return Fibonacci1(n-1) + Fibonacci1(n-2)

from time import time
# for i in range(40):
# 	starttijd = time()
# 	fib = Fibonacci1(i)
# 	eindtijd = time()
# 	print(i, fib, eindtijd-starttijd)
# 	# 40 -> [Finished in 51.4s]

def Fibonacci2(n):	
	# base case
	if (n == 0) or (n == 1):
		return n

	rij = [0]*(n+1)
	rij[0] = 0
	rij[1] = 1

	for i in range(2, n+1):
		rij[i] = rij[i-1]+rij[i-2]
	return rij[-1]

looptijden = []
for i in range(40):
	starttijd = time()
	fib = Fibonacci1(i)
	eindtijd = time()
	print(i, fib, eindtijd-starttijd)
	looptijden.append(eindtijd-starttijd)
	
import matplotlib.pyplot as PLT
PLT.plot(looptijden)
PLT.show()